module AdminHelper
  
  def show_parent_items_link 
    @parent_items = @parent_item.ancestors.map{ |i| i }
    link_to('/' , admin_items_path) + ( @parent_items.map{ |i| link_to(i.name, admin_items_path(:parent_id=>i.id) ) } << @parent_item.name ).join("/").html_safe
  end
  
  # Check if the current_user is manager in current module app
  def is_manager?
    (@module_app.is_manager?(current_or_guest_user) rescue nil) || is_admin?
  end

  # Check if the current_user is sub manager in current module app
  def is_sub_manager?
    (@module_app.is_sub_manager?(current_or_guest_user) rescue nil) || is_admin?
  end
  
  def is_admin?
    current_or_guest_user.admin?
  end

  def is_member?
    if (current_user rescue false)
      return true
    end
    return false
  end
  

  def is_guest?
    if session[:guest_user_id]
      return true
    end
    return false
  end

end